Page MenuHomePhabricator

Add new interceptors: getprotoent(3) family
ClosedPublic

Authored by krytarowski on Feb 20 2018, 5:54 PM.

Details

Summary

getprotoent, getprotobynumber, getprotobyname - get protocol entry

Reuse them on NetBSD.

Sponsored by <The NetBSD Foundation>

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski created this revision.Feb 20 2018, 5:54 PM
vitalybuka requested changes to this revision.Feb 25 2018, 2:43 PM

Similar to D43539 and D43543
I'll make the patch "red" just to remove from my dashboard :-)

This revision now requires changes to proceed.Feb 25 2018, 2:43 PM
  • apply comments from review
  • improve the test
  • apply the remaining comments from review
  • improve the patch
krytarowski edited the summary of this revision. (Show Details)Feb 26 2018, 5:54 AM
vitalybuka accepted this revision.Feb 26 2018, 9:55 AM
This revision is now accepted and ready to land.Feb 26 2018, 9:55 AM
Closed by commit rL326162: Add new interceptors: getprotoent(3) family (authored by kamil, committed by ). · Explain WhyFeb 26 2018, 6:35 PM
This revision was automatically updated to reflect the committed changes.